from app.display.neopixel_64x64 import NeoPixel_64x64
from app.tryout import Font_Checker, Weather_Checker, Emoji_Checker
from app.utils import show_system_load
from app.web.wlan import Wlan

# Programm Startpunkt
if __name__ == '__main__':
	display = NeoPixel_64x64()
	wlan: Wlan = Wlan( )
	wlan.connect( ssid="Wokwi-Wlan", password="12345678")

	# font_checker : Font_Checker = Font_Checker( display)
	# font_checker.fonts_check(pretty=False)

	# tryout.emojis_check(display)
	# emoji_checker : Emoji_Checker = Emoji_Checker(display)
	# emoji_checker.check()
 
	# tryout.weather_check(display, test_mode=False)
	weather_checker: Weather_Checker = Weather_Checker( display=display)
	weather_checker.check(city="esbjerg", lang="de", test_mode=False)
 
	# show_system_load()
